import React from 'react';
import type { IServerGroupDetailsProps, IServerGroupDetailsState } from './ServerGroupDetailsWrapper';
export declare class ServerGroupDetails extends React.Component<IServerGroupDetailsProps, IServerGroupDetailsState> {
    private destroy$;
    private serverGroupsRefreshUnsubscribe;
    constructor(props: IServerGroupDetailsProps);
    private autoClose;
    private updateServerGroup;
    componentDidMount(): void;
    componentWillReceiveProps(nextProps: IServerGroupDetailsProps): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
}
